org.apache.fop.complexscripts.scripts

## Class HebrewScriptProcessor

- java.lang.Object
- - org.apache.fop.complexscripts.scripts.ScriptProcessor
  - - org.apache.fop.complexscripts.scripts.DefaultScriptProcessor
    - - org.apache.fop.complexscripts.scripts.HebrewScriptProcessor

    public class HebrewScriptProcessor
    extends DefaultScriptProcessor

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `isReorderedMark(GlyphDefinitionTable gdef, int[] glyphs, int[] unscaledWidths, int index, int[] pa)`

### Methods inherited from class org.apache.fop.complexscripts.scripts.DefaultScriptProcessor

`getPositioningContextTester, getPositioningFeatures, getSubstitutionContextTester, getSubstitutionFeatures, reorderCombiningMarks`

### Methods inherited from class org.apache.fop.complexscripts.scripts.ScriptProcessor

`assembleLookups, getInstance, getOptionalPositioningFeatures, getOptionalSubstitutionFeatures, getScript, position, position, preProcess, substitute, substitute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isReorderedMark

    protected boolean isReorderedMark(GlyphDefinitionTable gdef,
                                      int[] glyphs,
                                      int[] unscaledWidths,
                                      int index,
                                      int[] pa)

Overrides:
  `isReorderedMark` in class `DefaultScriptProcessor`